Package twisted :: Package python :: Module util :: Class OrderedDict

[show private | hide private]
[frames | no frames]

## Class OrderedDict

    UserDict --+
               |
              OrderedDict

A UserDict that preserves insert order whenever possible.

Method Summary
| `__init__(self, d)`
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__contains__(self, key)` (inherited from `UserDict`)
| `__delitem__(self, key)`
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)`
| `__setitem__(self, key, value)`
| `clear(self)` (inherited from `UserDict`)
| `copy(self)`
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)`
| `iteritems(self)` (inherited from `UserDict`)
| `iterkeys(self)` (inherited from `UserDict`)
| `itervalues(self)` (inherited from `UserDict`)
| `keys(self)`
| `popitem(self)`
| `setdefault(self, item, default)`
| `update(self, d)`
| `values(self)`

Generated by Epydoc 1.1 on Thu May 8 13:16:50 2003 | http://epydoc.sf.net